=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-10-31 21:53:33 +0000
+++ client/drizzle.cc	2009-12-02 06:01:21 +0000
@@ -188,12 +188,10 @@
   auto_vertical_output= false,
   show_warnings= false, executing_query= false, interrupted_query= false;
 static uint32_t  show_progress_size= 0;
-static bool debug_info_flag, debug_check_flag;
 static bool column_types_flag;
 static bool preserve_comments= false;
 static uint32_t opt_max_input_line, opt_drizzle_port= 0;
 static int verbose= 0, opt_silent= 0, opt_local_infile= 0;
-static uint32_t my_end_arg;
 static char * opt_drizzle_unix_port= NULL;
 static drizzle_capabilities_t connect_flag= DRIZZLE_CAPABILITIES_NONE;
 static char *current_host, *current_db, *current_user= NULL,
@@ -1224,7 +1222,7 @@
   if (get_options(argc, (char **) argv))
   {
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -1242,7 +1240,7 @@
   {
     /* we've executed a command so exit before we go into readline mode */
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(command_error);
   }
 
@@ -1252,7 +1250,7 @@
     if (status.line_buff == NULL)
     {
       free_defaults(defaults_argv);
-      my_end(0);
+      my_end();
       exit(1);
     }
   }
@@ -1369,7 +1367,7 @@
   free(default_prompt);
   free(current_prompt);
   free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
   exit(status.exit_status);
 }
 
@@ -1455,11 +1453,6 @@
   {"compress", 'C', N_("Use compression in server/client protocol."),
    (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, N_("Check memory and open file usage at exit ."),
-   (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-   GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", 'T', N_("Print some debug info at exit."), (char**) &debug_info_flag,
-   (char**) &debug_info_flag, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"database", 'D', N_("Database to use."), (char**) &current_db,
    (char**) &current_db, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"default-character-set", OPT_DEFAULT_CHARSET,
@@ -1705,7 +1698,7 @@
       status.line_buff= new(std::nothrow) LineBuffer(opt_max_input_line,NULL);
     if (status.line_buff == NULL)
     {
-      my_end(0);
+      my_end();
       exit(1);
     }
     status.line_buff->addString(argument);
@@ -1839,10 +1832,7 @@
   }
   if (tty_password)
     opt_password= client_get_tty_password(NULL);
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
+
   return(0);
 }
 
@@ -3961,9 +3951,7 @@
     return -1;          // Retryable
   }
   connected=1;
-/* XXX hmm?
-  drizzle.reconnect= debug_info_flag; // We want to know if this happens
-*/
+
   build_completion_hash(opt_rehash, 1);
   return 0;
 }

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-10-29 07:08:34 +0000
+++ client/drizzledump.cc	2009-12-02 06:01:21 +0000
@@ -112,8 +112,6 @@
 static bool opt_replace_into= false;
 static bool opt_routines= false;
 static bool opt_alltspcs= false;
-static bool debug_info_flag= false;
-static bool debug_check_flag= false;
 static uint32_t show_progress_size= 0;
 static uint64_t total_rows= 0;
 static drizzle_st drizzle;
@@ -136,7 +134,6 @@
 static char compatible_mode_normal_str[255];
 static uint32_t opt_compatible_mode= 0;
 static uint32_t opt_drizzle_port= 0;
-static uint32_t my_end_arg;
 static int first_error= 0;
 static string extended_row;
 FILE *md_result_file= 0;
@@ -203,12 +200,6 @@
    "To dump several databases. Note the difference in usage; In this case no tables are given. All name arguments are regarded as databasenames. 'USE db_name;' will be included in the output.",
    (char**) &opt_databases, (char**) &opt_databases, 0, GET_BOOL, NO_ARG, 0, 0,
    0, 0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, "Check memory and open file usage at exit.",
-   (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-   GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
-   (char**) &debug_info_flag, (char**) &debug_info_flag,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"delayed-insert", OPT_DELAYED, "Insert rows with INSERT DELAYED; ",
    (char**) &opt_delayed, (char**) &opt_delayed, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
    0, 0},
@@ -685,11 +676,6 @@
   if ((ho_error= handle_options(argc, argv, my_long_options, get_one_option)))
     return(ho_error);
 
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
-
   if (!path && (enclosed || opt_enclosed || escaped || lines_terminated ||
                 fields_terminated))
   {
@@ -897,7 +883,7 @@
   free(opt_password);
   if (defaults_argv)
     free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
 }
 
 

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2009-08-31 23:50:37 +0000
+++ client/drizzleimport.cc	2009-12-02 06:01:21 +0000
@@ -1,4 +1,5 @@
-/* Copyright (C) 2008 Drizzle Open Source Development Team
+/* Copyright (C) 2000-2006 MySQL AB
+   Copyright (C) 2008-2009 Sun Microsystems, Inc
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
@@ -57,10 +58,10 @@
 
 static bool verbose= false, lock_tables= false, ignore_errors= false,
             opt_delete= false, opt_replace= false, silent= false,
-            ignore_unique= false, opt_compress= false, opt_low_priority= false,
+            ignore_unique= false, opt_low_priority= false,
             tty_password= false;
-static bool debug_info_flag= false, debug_check_flag= false;
-static uint32_t opt_use_threads= 0, opt_local_file= 0, my_end_arg= 0;
+
+static uint32_t opt_use_threads= 0, opt_local_file= 0;
 static char  *opt_password= NULL, *current_user= NULL,
     *current_host= NULL, *current_db= NULL, *fields_terminated= NULL,
     *lines_terminated= NULL, *enclosed= NULL, *opt_enclosed= NULL,
@@ -75,17 +76,8 @@
    "Use only these columns to import the data to. Give the column names in a comma separated list. This is same as giving columns to LOAD DATA INFILE.",
    (char**) &opt_columns, (char**) &opt_columns, 0, GET_STR, REQUIRED_ARG, 0, 0, 0,
    0, 0, 0},
-  {"compress", 'C', "Use compression in server/client protocol.",
-   (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
-   0, 0, 0},
   {"debug",'#', "Output debug log. Often this is 'd:t:o,filename'.", 0, 0, 0,
    GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, "Check memory and open file usage at exit.",
-   (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-   GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
-   (char**) &debug_info_flag, (char**) &debug_info_flag,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"delete", 'd', "First delete all rows from table.", (char**) &opt_delete,
    (char**) &opt_delete, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"fields-terminated-by", OPT_FTB,
@@ -254,10 +246,6 @@
 
   if ((ho_error=handle_options(argc, argv, my_long_options, get_one_option)))
     exit(ho_error);
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
 
   if (enclosed && opt_enclosed)
   {
@@ -672,6 +660,6 @@
   }
   free(opt_password);
   free_defaults(argv_to_free);
-  my_end(my_end_arg);
+  my_end();
   return(exitcode);
 }

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2009-07-13 19:24:14 +0000
+++ client/drizzleslap.cc	2009-12-02 06:01:21 +0000
@@ -129,11 +129,10 @@
 const char *create_schema_string= "drizzleslap";
 
 static bool opt_preserve= true;
-static bool debug_info_flag= false, debug_check_flag= false;
 static bool opt_only_print= false;
 static bool opt_burnin= false;
 static bool opt_ignore_sql_errors= false;
-static bool opt_compress= false, tty_password= false,
+static bool tty_password= false,
   opt_silent= false,
   auto_generate_sql_autoincrement= false,
   auto_generate_sql_guid_primary= false,
@@ -162,7 +161,6 @@
 static unsigned int num_int_cols_index= 0;
 static unsigned int num_char_cols_index= 0;
 static unsigned int iterations;
-static uint32_t my_end_arg= 0;
 static uint64_t actual_queries= 0;
 static uint64_t auto_actual_queries;
 static uint64_t auto_generate_sql_unique_write_number;
@@ -327,7 +325,7 @@
   if (get_options(&argc,&argv))
   {
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -346,7 +344,7 @@
   {
     fprintf(stderr,"%s: Too many arguments\n",my_progname);
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -422,7 +420,7 @@
     free(shared_memory_base_name);
 #endif
   free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
 
   return 0;
 }
@@ -588,9 +586,6 @@
   {"commit", OPT_SLAP_COMMIT, "Commit records every X number of statements.",
    (char**) &commit_rate, (char**) &commit_rate, 0, GET_UINT, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},
-  {"compress", 'C', "Use compression in server/client protocol.",
-   (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
-   0, 0, 0},
   {"concurrency", 'c', "Number of clients to simulate for query to run.",
    (char**) &concurrency_str, (char**) &concurrency_str, 0, GET_STR,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
@@ -604,11 +599,6 @@
    "Generate CSV output to named file or to stdout if no file is named.",
    (char**) &opt_csv_str, (char**) &opt_csv_str, 0, GET_STR,
    OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, "Check memory and open file usage at exit.",
-    (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", 'T', "Print some debug info at exit.", (char**) &debug_info_flag,
-    (char**) &debug_info_flag, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"delayed-start", OPT_SLAP_DELAYED_START,
    "Delay the startup of threads by a random number of microsends (the maximum of the delay)",
    (char**) &opt_delayed_start, (char**) &opt_delayed_start, 0, GET_UINT,
@@ -1287,10 +1277,6 @@
 
   if ((ho_error= handle_options(argc, argv, my_long_options, get_one_option)))
     exit(ho_error);
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
 
   if (!user)
     user= (char *)"root";

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2009-11-16 22:00:02 +0000
+++ client/drizzletest.cc	2009-12-02 06:01:21 +0000
@@ -75,7 +75,6 @@
 
 #define MAX_VAR_NAME_LENGTH    256
 #define MAX_COLUMNS            256
-#define MAX_EMBEDDED_SERVER_ARGS 64
 #define MAX_DELIMITER_LENGTH 16
 /* Flags controlling send and reap */
 #define QUERY_SEND_FLAG  1
@@ -98,8 +97,7 @@
 const char *opt_testdir= NULL;
 static uint32_t opt_port= 0;
 static int opt_max_connect_retries;
-static bool opt_compress= false, silent= false, verbose= false;
-static bool debug_info_flag= false, debug_check_flag= false;
+static bool silent= false, verbose= false;
 static bool tty_password= false;
 static bool opt_mark_progress= false;
 static bool parsing_disabled= false;
@@ -116,7 +114,6 @@
 static char line_buffer[MAX_DELIMITER_LENGTH], *line_buffer_pos= line_buffer;
 
 static uint32_t start_lineno= 0; /* Start line of current command */
-static uint32_t my_end_arg= 0;
 
 /* Number of lines of the result to include in failure report */
 static uint32_t opt_tail_lines= 0;
@@ -158,9 +155,6 @@
 
 static const CHARSET_INFO *charset_info= &my_charset_utf8_general_ci; /* Default charset */
 
-static int embedded_server_arg_count=0;
-static char *embedded_server_args[MAX_EMBEDDED_SERVER_ARGS];
-
 /*
   Timer related variables
   See the timer_output() definition for details
@@ -916,8 +910,6 @@
     if (var_reg[i].alloced_len)
       free(var_reg[i].str_val);
   }
-  while (embedded_server_arg_count > 1)
-    free(embedded_server_args[--embedded_server_arg_count]);
 
   free_all_replace();
   free(opt_pass);
@@ -930,7 +922,7 @@
 static void cleanup_and_exit(int exit_code)
 {
   free_used_memory();
-  my_end(my_end_arg);
+  my_end();
 
   if (!silent) {
     switch (exit_code) {
@@ -4565,17 +4557,8 @@
   {"character-sets-dir", OPT_CHARSETS_DIR,
    "Directory where character sets are.", (char**) &opt_charsets_dir,
    (char**) &opt_charsets_dir, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"compress", 'C', "Use the compressed server/client protocol.",
-   (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
-   0, 0, 0},
   {"database", 'D', "Database to use.", (char**) &opt_db, (char**) &opt_db, 0,
    GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, "Check memory and open file usage at exit.",
-   (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-   GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
-   (char**) &debug_info_flag, (char**) &debug_info_flag,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"host", 'h', "Connect to host.", (char**) &opt_host, (char**) &opt_host, 0,
    GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"include", 'i', "Include SQL before each test case.", (char**) &opt_include,
@@ -4606,10 +4589,6 @@
   {"result-file", 'R', "Read/Store result from/in this file.",
    (char**) &result_file_name, (char**) &result_file_name, 0,
    GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"server-arg", 'A', "Send option value to embedded server as a parameter.",
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"server-file", 'F', "Read embedded server arguments from file.",
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"silent", 's', "Suppress all normal output. Synonym for --quiet.",
    (char**) &silent, (char**) &silent, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"sleep", 'T', "Sleep always this many seconds on sleep commands.",
@@ -4645,6 +4624,7 @@
 {
   print_version();
   printf("MySQL AB, by Sasha, Matt, Monty & Jani\n");
+  printf("Drizzle version modified by Brian, Jay, Monty Taylor, PatG and Stewart\n");
   printf("This software comes with ABSOLUTELY NO WARRANTY\n\n");
   printf("Runs a test against the DRIZZLE server and compares output with a results file.\n\n");
   printf("Usage: %s [OPTIONS] [database] < test_file\n", my_progname);
@@ -4653,52 +4633,6 @@
   my_print_variables(my_long_options);
 }
 
-/*
-  Read arguments for embedded server and put them into
-  embedded_server_args[]
-*/
-
-static void read_embedded_server_arguments(const char *name)
-{
-  char argument[1024],buff[FN_REFLEN], *str=0;
-  FILE *file;
-
-  if (!test_if_hard_path(name))
-  {
-    sprintf(buff,"%s%s",opt_basedir,name);
-    name=buff;
-  }
-  fn_format(buff, name, "", "", MY_UNPACK_FILENAME);
-
-  if (!embedded_server_arg_count)
-  {
-    embedded_server_arg_count=1;
-    embedded_server_args[0]= (char*) "";    /* Progname */
-  }
-  if (!(file= fopen(buff, "r")))
-    die("Failed to open file '%s'", buff);
-
-  while (embedded_server_arg_count < MAX_EMBEDDED_SERVER_ARGS &&
-         (str=fgets(argument,sizeof(argument), file)))
-  {
-    *(strchr(str, '\0')-1)=0;        /* Remove end newline */
-    if (!(embedded_server_args[embedded_server_arg_count]=
-          (char*) strdup(str)))
-    {
-      fclose(file);
-      die("Out of memory");
-
-    }
-    embedded_server_arg_count++;
-  }
-  fclose(file);
-  if (str)
-    die("Too many arguments in option file: %s",name);
-
-  return;
-}
-
-
 bool get_one_option(int optid, const struct my_option *, char *argument)
 {
   char *endchar= NULL;
@@ -4780,22 +4714,6 @@
   case 't':
     strncpy(TMPDIR, argument, sizeof(TMPDIR));
     break;
-  case 'A':
-    if (!embedded_server_arg_count)
-    {
-      embedded_server_arg_count=1;
-      embedded_server_args[0]= (char*) "";
-    }
-    if (embedded_server_arg_count == MAX_EMBEDDED_SERVER_ARGS-1 ||
-        !(embedded_server_args[embedded_server_arg_count++]=
-          strdup(argument)))
-    {
-      die("Can't use server argument");
-    }
-    break;
-  case 'F':
-    read_embedded_server_arguments(argument);
-    break;
   case 'V':
     print_version();
     exit(0);
@@ -4824,10 +4742,6 @@
     opt_db= *argv;
   if (tty_password)
     opt_pass= client_get_tty_password(NULL);          /* purify tested */
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
 
   return 0;
 }

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-12-01 17:47:52 +0000
+++ drizzled/drizzled.cc	2009-12-02 16:34:51 +0000
@@ -238,7 +238,6 @@
 
 /* Global variables */
 
-bool opt_endinfo;
 bool locked_in_memory;
 bool volatile abort_loop;
 bool volatile shutdown_in_progress;
@@ -537,7 +536,7 @@
     usage();
   clean_up(!opt_help && (exit_code));
   clean_up_mutexes();
-  my_end(opt_endinfo ? MY_CHECK_ERROR | MY_GIVE_INFO : 0);
+  my_end();
   exit(exit_code);
 }
 
@@ -1663,7 +1662,7 @@
   clean_up(1);
   plugin::Registry::shutdown();
   clean_up_mutexes();
-  my_end(opt_endinfo ? MY_CHECK_ERROR | MY_GIVE_INFO : 0);
+  my_end();
   return 0;
 }
 
@@ -2180,7 +2179,6 @@
   dropping_tables= ha_open_options=0;
   test_flags.reset();
   wake_thread=0;
-  opt_endinfo= false;
   abort_loop= select_thread_in_use= false;
   ready_to_exit= shutdown_in_progress= 0;
   aborted_threads= aborted_connects= 0;
@@ -2248,9 +2246,6 @@
                         char *argument)
 {
   switch(optid) {
-  case '#':
-    opt_endinfo=1;				/* unireg: memory allocation */
-    break;
   case 'a':
     global_system_variables.tx_isolation= ISO_SERIALIZABLE;
     break;
@@ -2294,7 +2289,6 @@
     {
       test_flags.set((uint32_t) atoi(argument));
     }
-    opt_endinfo=1;
     break;
   case (int) OPT_WANT_CORE:
     test_flags.set(TEST_CORE_ON_SIGNAL);

=== modified file 'mysys/my_init.cc'
--- mysys/my_init.cc	2009-09-15 01:32:36 +0000
+++ mysys/my_init.cc	2009-12-02 06:01:21 +0000
@@ -80,63 +80,11 @@
 
 	/* End my_sys */
 
-void my_end(int infoflag)
+void my_end()
 {
-  /*
-    this code is suboptimal to workaround a bug in
-    Sun CC: Sun C++ 5.6 2004/06/02 for x86, and should not be
-    optimized until this compiler is not in use anymore
-  */
-  FILE *info_file= stderr;
-  bool print_info= 0;
-
-  if ((infoflag & MY_CHECK_ERROR) || print_info)
-
-  {					/* Test if some file is left open */
-    if (my_file_opened | my_stream_opened)
-    {
-      /* TODO: Mark... look at replacement here
-       * (void) my_message_no_curses(EE_OPEN_WARNING,errbuff[0],ME_BELL);
-       */
-      (void) fflush(stdout);
-      
-      my_print_open_files();
-    }
-  }
   free_charsets();
   my_error_unregister_all();
 
-  if ((infoflag & MY_GIVE_INFO) || print_info)
-  {
-#ifdef HAVE_GETRUSAGE
-    struct rusage rus;
-#ifdef HAVE_purify
-    /* Purify assumes that rus is uninitialized after getrusage call */
-    memset(&rus, 0, sizeof(rus));
-#endif
-    if (!getrusage(RUSAGE_SELF, &rus))
-      fprintf(info_file,"\n\
-User time %.2f, System time %.2f\n\
-Maximum resident set size %ld, Integral resident set size %ld\n\
-Non-physical pagefaults %ld, Physical pagefaults %ld, Swaps %ld\n\
-Blocks in %ld out %ld, Messages in %ld out %ld, Signals %ld\n\
-Voluntary context switches %ld, Involuntary context switches %ld\n",
-	      static_cast<double>((rus.ru_utime.tv_sec * SCALE_SEC +
-	      rus.ru_utime.tv_usec / SCALE_USEC)) / 100.0,
-	      static_cast<double>((rus.ru_stime.tv_sec * SCALE_SEC +
-	      rus.ru_stime.tv_usec / SCALE_USEC)) / 100.0,
-	      rus.ru_maxrss, rus.ru_idrss,
-	      rus.ru_minflt, rus.ru_majflt,
-	      rus.ru_nswap, rus.ru_inblock, rus.ru_oublock,
-	      rus.ru_msgsnd, rus.ru_msgrcv, rus.ru_nsignals,
-	      rus.ru_nvcsw, rus.ru_nivcsw);
-#endif
-  }
-  else if (infoflag & MY_CHECK_ERROR)
-  {
-    TERMINATE(stderr, 0);		/* Print memory leaks on screen */
-  }
-
   my_thread_end();
   my_thread_global_end();
 

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-10-21 00:14:57 +0000
+++ mysys/my_sys.h	2009-12-02 06:01:21 +0000
@@ -66,9 +66,6 @@
 #define MY_DONT_OVERWRITE_FILE 1024	/* my_copy: Don't overwrite file */
 #define MY_THREADSAFE 2048      /* my_seek(): lock fd mutex */
 
-#define MY_CHECK_ERROR	1	/* Params to my_end; Check open-close */
-#define MY_GIVE_INFO	2	/* Give time info about process*/
-
 #define ME_HIGHBYTE	8	/* Shift for colours */
 #define ME_NOCUR	1	/* Don't use curses message */
 #define ME_OLDWIN	2	/* Use old window */
@@ -115,10 +112,6 @@
 #define GETDATE_GMT		8
 #define GETDATE_FIXEDLENGTH	16
 
-	/* defines when allocating data */
-#undef TERMINATE
-#define TERMINATE(A,B) {}
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -290,9 +283,6 @@
 
 #define my_delete_allow_opened(fname,flags)  my_delete((fname),(flags))
 
-#ifndef TERMINATE
-extern void TERMINATE(FILE *file, uint32_t flag);
-#endif
 extern void init_glob_errs(void);
 extern int my_sync(File fd, myf my_flags);
 extern int my_sync_dir(const char *dir_name, myf my_flags);
@@ -306,17 +296,11 @@
 extern void my_message(uint32_t my_err, const char *str,myf MyFlags);
 extern void my_message_no_curses(uint32_t my_err, const char *str,myf MyFlags);
 extern bool my_init(void);
-extern void my_end(int infoflag);
+extern void my_end(void);
 extern int my_redel(const char *from, const char *to, int MyFlags);
 extern int my_copystat(const char *from, const char *to, int MyFlags);
 extern char * my_filename(File fd);
 
-#ifdef EXTRA_DEBUG
-void my_print_open_files(void);
-#else
-#define my_print_open_files()
-#endif
-
 extern void my_remember_signal(int signal_number,void (*func)(int));
 extern size_t dirname_part(char * to,const char *name, size_t *to_res_length);
 extern size_t dirname_length(const char *name);

=== modified file 'plugin/archive/archive_performance.cc'
--- plugin/archive/archive_performance.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/archive_performance.cc	2009-12-02 06:01:21 +0000
@@ -89,7 +89,7 @@
     azclose(&reader_handle);
   }
 
-  my_end(0);
+  my_end();
 
   return 0;
 }

=== modified file 'plugin/archive/archive_reader.cc'
--- plugin/archive/archive_reader.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/archive_reader.cc	2009-12-02 06:01:21 +0000
@@ -251,7 +251,7 @@
   printf("\n");
   azclose(&reader_handle);
 
-  my_end(0);
+  my_end();
   return 0;
 }
 

=== modified file 'plugin/archive/archive_test.cc'
--- plugin/archive/archive_test.cc	2009-10-06 20:28:53 +0000
+++ plugin/archive/archive_test.cc	2009-12-02 06:01:21 +0000
@@ -97,7 +97,7 @@
     }
   }
 
-  my_end(0);
+  my_end();
 
   return 0;
 }

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2009-11-13 19:51:29 +0000
+++ tests/test-run.pl	2009-12-02 04:57:52 +0000
@@ -1269,7 +1269,7 @@
   my($mysqld) = @_;
   return
     mtr_native_path($exe_drizzledump) .
-      " --no-defaults -uroot --debug-check " .
+      " --no-defaults -uroot " .
       "--port=$mysqld->{'port'} ";
 }
 
@@ -1461,7 +1461,7 @@
   # ----------------------------------------------------
   my $cmdline_mysqlimport=
     mtr_native_path($exe_drizzleimport) .
-    " -uroot --debug-check " .
+    " -uroot " .
     "--port=$master->[0]->{'port'} ";
 
   if ( $opt_debug )
@@ -1477,7 +1477,7 @@
   # ----------------------------------------------------
   my $cmdline_mysql=
     mtr_native_path($exe_drizzle) .
-    " --no-defaults --debug-check --host=localhost  --user=root --password= " .
+    " --no-defaults --host=localhost  --user=root --password= " .
     "--port=$master->[0]->{'port'} ";
 
   $ENV{'MYSQL'}= $cmdline_mysql;

